;******************************************************************************
;    Files required:         P18F4550.INC                                     *
;******************************************************************************

	LIST P=18F4550	;directive to define processor and file format
	#include <P18F4550.INC>	;processor specific variable definitions

	
;define YOUR Device ID here !
	__IDLOCS	_IDLOC0,		0
	__IDLOCS	_IDLOC1,		1
	__IDLOCS	_IDLOC2,		2
	__IDLOCS	_IDLOC3,		3
	__IDLOCS	_IDLOC4,		4
	__IDLOCS	_IDLOC5,		5
	__IDLOCS	_IDLOC6,		6
	__IDLOCS	_IDLOC7,		7
	
;******************************************************************************
;Configuration bits
; The __CONFIG directive defines configuration data within the .ASM file.
; The labels following the directive are defined in the P18F4550.INC file.
; The PIC18F Data Sheet explains the functions of the configuration bits.
; Change the following lines to suit your application.

;this does not work for me :(
;	__CONFIG    _CONFIG1L, _PLLDIV_5_1L & _CPUDIV_1_1L & _USBDIV_2_1L
;	__CONFIG    _CONFIG1H, _IESO_OFF_1H & _FCMEM_OFF_1H & _FOSC_HSPLL_HS_1H
;	__CONFIG    _CONFIG2L, _BOR_ON_2L & _PWRT_ON_2L & _BORV_45_2L & _VREGEN_ON_2L
;	__CONFIG    _CONFIG2H, _WDT_OFF_2H & _WDTPS_128_2H
;	__CONFIG    _CONFIG3H, _MCLRE_ON_3H & _PBADEN_OFF_3H
;	__CONFIG    _CONFIG4L, _DEBUG_OFF_4L & _LVP_OFF_4L & _STVREN_ON_4L & _ICPRT_OFF_4L
;	__CONFIG    _CONFIG5L, _CP0_ON_5L & _CP1_ON_5L & _CP2_ON_5L & _CP3_ON_5L
;	__CONFIG    _CONFIG5H, _CPB_OFF_5H & _CPD_OFF_5H
;	__CONFIG    _CONFIG6L, _WRT0_OFF_6L & _WRT1_OFF_6L & _WRT2_OFF_6L & _WRT3_OFF_6L
;	__CONFIG    _CONFIG6H, _WRTC_OFF_6H & _WRTB_OFF_6H & _WRTD_OFF_6H
;	__CONFIG    _CONFIG7L, _EBTR0_OFF_7L & _EBTR1_OFF_7L & _EBTR2_OFF_7L & _EBTR3_OFF_7L
;	__CONFIG    _CONFIG7H, _EBTRB_OFF_7H

;Values taken from original picdemfsusb.hex file because my configuration above did not work
;
;Werte aus der Original picdemfsusb.hex Datei weil meine Konfiguration oben nicht klappte
;
;:020000040030CA
;:0E000000240E3F1E008181000FC00FA00F4094

	__CONFIG    _CONFIG1L, H'24'
	__CONFIG    _CONFIG1H, H'0E'
	__CONFIG    _CONFIG2L, H'3F'
	__CONFIG    _CONFIG2H, H'1E'
;	__CONFIG    _CONFIG3L, H'00' ;Error Message from mpasm
	__CONFIG    _CONFIG3H, H'81'
	__CONFIG    _CONFIG4L, H'81'
;	__CONFIG    _CONFIG4H, H'00' ;Error Message from mpasm
	__CONFIG    _CONFIG5L, H'0F'
	__CONFIG    _CONFIG5H, H'C0'
	__CONFIG    _CONFIG6L, H'0F'
	__CONFIG    _CONFIG6H, H'A0'
	__CONFIG    _CONFIG7L, H'0F'
	__CONFIG    _CONFIG7H, H'40'

;!! Configuration Word ans ENDE deiner ASM-Datei setzen !!
;Sonst landet es nicht im HEX-File
	
;EEPROM Daten
;	ORG	0xF00000
;	DB	"Holgi was here",0,1,2,3,4,5,6,7,8,9	
 		END
